=== debian/changelog ===
ganglia-web (3.5.8-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "please update libgd dependencies":
    drop dependency on libgd2*; php5-gd dependes on libgd anyway.
    Thanks to Colin Watson for the bug report and the analysis.
    (Closes: #710768)

 -- gregor herrmann <gregoa@debian.org>  Sat, 13 Jul 2013 14:57:09 +0200

ganglia-web (3.5.8-3) unstable; urgency=low

  * CVE-2013-0275 and CVE-2013-1770: XSS flaws resolved upstream
    (should have been noted in 3.5.8-1 changelog) (Closes: #700159)

 -- Daniel Pocock <daniel@pocock.com.au>  Sun, 09 Jun 2013 10:00:31 +0200

ganglia-web (3.5.8-2) unstable; urgency=low

  * Correct GWEB_STATEDIR (Closes: #710070)
  * Add a README.Debian.security file discussing limited security support for
    this package (closes: #702775).

 -- Daniel Pocock <daniel@pocock.com.au>  Tue, 28 May 2013 10:33:04 +0200

ganglia-web (3.5.8-1) unstable; urgency=low

  * New upstream release

 -- Daniel Pocock <daniel@pocock.com.au>  Mon, 27 May 2013 18:38:28 +0200

ganglia-web (3.5.2-2) unstable; urgency=low

  * Upload for unstable
  * Migrate from collab-maint to pkg-monitoring maintainership

 -- Daniel Pocock <daniel@pocock.com.au>  Mon, 27 May 2013 17:04:36 +0200

ganglia-web (3.5.2-1) experimental; urgency=low

  * Initial packaging, split from ganglia. (Closes: #681696).

 -- Daniel Pocock <daniel@pocock.com.au>  Fri, 31 Aug 2012 15:33:27 +0200
