=== debian/changelog ===
ganglia-web (3.6.1-3) unstable; urgency=high

  * Add dependency php-xml (Closes: #829005)

 -- Daniel Pocock <daniel@pocock.pro>  Thu, 07 Jul 2016 08:09:51 +0200

ganglia-web (3.6.1-2) unstable; urgency=high

  * Update for PHP 7.0 support (Closes: #821499)

 -- Daniel Pocock <daniel@pocock.pro>  Mon, 23 May 2016 07:58:51 +0200

ganglia-web (3.6.1-1) unstable; urgency=high

  * New upstream release.

 -- Daniel Pocock <daniel@pocock.pro>  Fri, 04 Apr 2014 11:41:22 +0200

ganglia-web (3.6.0-1) unstable; urgency=high

  * New upstream release.
  * Upstream now includes unminified form of third-party
    JavaScript libraries (Closes: #736104)

 -- Daniel Pocock <daniel@pocock.pro>  Fri, 04 Apr 2014 09:41:36 +0200

ganglia-web (3.5.8-4) unstable; urgency=low

  * Use conf-available for apache 2.4

 -- Daniel Pocock <daniel@pocock.com.au>  Sat, 23 Nov 2013 11:19:27 +0100
