=== debian/control ===
Source: ganglia-web
Section: net
Priority: optional
Maintainer: Debian Monitoring Maintainers <pkg-monitoring-maintainers@lists.alioth.debian.org>
Uploaders: Stuart Teasdale <sdt@debian.org>, Daniel Pocock <daniel@pocock.pro>
Homepage: http://www.ganglia.info/
Build-Depends: debhelper (>= 9.0.0), po-debconf, rsync
Standards-Version: 3.9.4
Vcs-Git: git://git.debian.org/pkg-monitoring/ganglia-web.git
Vcs-Browser: http://git.debian.org/?p=pkg-monitoring/ganglia-web.git;a=summary

Package: ganglia-webfrontend
Architecture: all
Depends: ${misc:Depends}, apache | apache-ssl | apache-perl | apache2 | httpd-cgi, php | php-cgi | libapache2-mod-php, php-xml, rrdtool, debconf (>= 0.5)
Recommends: gmetad, php-gd
Description: cluster monitoring toolkit - web front-end
 Ganglia is a scalable, real-time cluster monitoring environment
 that collects cluster statistics in an open and well-defined XML
 format.
 .
 This package contains the PHP-based web front-end, which displays
 information gathered by 'gmetad'.
