=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/ganglia-web-$1\.tar\.gz/ \
  https://github.com/ganglia/ganglia-web/tags .*/v?(\d\S*)\.tar\.gz
