## ganglia-web 3.7.5%2Bdebian

=== debian/changelog ===
ganglia-web (3.7.5+debian-4) unstable; urgency=medium

  * Remove debconf configuration (Closes: #722613).
  * d/ganglia-webfrontend.post{inst,rm}
    ~ Polish code and minor improvements.
    ~ Use apache2-maintscript-helper functions to interact with
      apache2 webserver.(Closes: #669786, #866115, #757261)
  * Bump to Standards-Version 4.6.0 (no changes required).

 -- Marcos Fouces <marcos@debian.org>  Tue, 28 Dec 2021 00:25:56 +0100

ganglia-web (3.7.5+debian-3) unstable; urgency=medium

  * Stop using "chown -R" in maintainer scripts.
    Use dpkg-statoverride instead.
  * Don't check invoke-rc.d path as dpkg ensures that PATH is set
    to a reasonable value.
  * Remove /var/lib/ganglia-web/ on purge.
  * Bump to Standards-Version 4.5.1 (no changes required).
  * d/patches. Add two upstream patches to fix minor bugs:
    ~ Add 0003-Fix-Uncaught-DivisionByZeroError-Modulo-by-zero.patch
    ~ Add 0004-Fix-XSS-from-OBB-1005024.patch

 -- Marcos Fouces <marcos@debian.org>  Sun, 28 Feb 2021 11:35:57 +0100

ganglia-web (3.7.5+debian-2) unstable; urgency=medium

  * Update portuguese translation for debconf messages. (Closes: #751092).

 -- Marcos Fouces <marcos@debian.org>  Sun, 28 Feb 2021 11:35:44 +0100

ganglia-web (3.7.5+debian-1) unstable; urgency=medium

  * New upstream version 3.7.5 (Closes:#838697)
  * Taking over maintenance for salvaging package (Closes:#710505)
  * Bump to debhelper-compat 13 from dh9
  * Update package dependencies.
  * Avoid checking if an init-system-helpers script is executable.
  * ganglia-webfrontend binary packages depends on the following Debian packages
    for providing JavaScript libraries (Closes:#693816):
    ~ libjs-jquery-mobile
    ~ libjs-jquery
    ~ libjs-jquery-ui
    ~ libjs-jquery-scrollto
    ~ libjs-jquery-cookie
    ~ libjs-rickshaw
    ~ libjs-d3
    ~ libjs-jquery-jstree
    ~ libjs-chosen
    ~ libjs-jstimezonedetect
    ~ libjs-moment
    ~ libjs-moment-timezone
    ~ libjs-select2.js
    ~ libjs-jquery-flot
  * Add cubism.v1.js source and minified version.
  * Add protovis.js source and minified version.
  * Add jquery.visible.js source and minified version.
  * Add fullcalendar.js and fullcalendar.css source and minified version.
  * Add jquery.qtip.min.js source file in d/missing-sources
  * Delete old missing-sources files and lintian-override for embedded sources.
  * Repack source code to delete uneeded/problematic JavaScript files.
  * Fix and update d/copyright file.
  * Migrate rules file to dh syntax.
  * Delete d/docs file as it became useless.
  * Add lintian.override for js/js/flot_graph.js in source package.
  * Add upstream metadata.
  * Update maintainer email to @debian.org.
  * Bump to Standards-Version 4.5.0

 -- Marcos Fouces <marcos@debian.org>  Sun, 04 Oct 2020 00:52:13 +0200

ganglia-web (3.6.1-3.1) unstable; urgency=medium

  [ Marcos Fouces ]
  * NMU upload.
  * Add missing sources. (Closes: #787599).

  [ Tobias Frost ]
  * Updating Uploaders. (Closes: #953472).

 -- Tobias Frost <tobi@debian.org>  Sun, 03 May 2020 20:11:15 +0200
