## ganglia-web 3.7.5+debian

=== Makefile ===
--- 
+++ 
@@ -13,11 +13,24 @@
 # Gmetad rootdir (parent location of rrd folder)
 GMETAD_ROOTDIR = /var/lib/ganglia
 
+# Name of the user that runs the Apache server 
 APACHE_USER = www-data
+
+# Name of the group that runs the Apache server 
+APACHE_GROUP = $(APACHE_USER)
+
+# PHP xUnit
+PHPUNIT = phpunit
+
+# PHP_CodeSniffer
+PHPCS = phpcs
+
+# PHP Code Beautifier and Fixer
+PHPCBF = phpcbf
 ##########################################################
 
 # Gweb version
-GWEB_VERSION = 3.6.1
+GWEB_VERSION = 3.7.4
 
 DIST_NAME = ganglia-web
 DIST_DIR = $(DIST_NAME)-$(GWEB_VERSION)
@@ -25,9 +38,29 @@
 
 TARGETS = conf_default.php ganglia-web.spec version.php apache.conf
 
+# Coding standard
+STANDARD = test/phpcs-ganglia-web.xml
+
+CODE = *.php api graph.d lib nagios test
+
 all: default
 
 default:	$(TARGETS)
+
+sniff:
+	@$(PHPCS) --version && echo
+	$(PHPCS) --standard=$(STANDARD) -p $(CODE)
+
+# convert exclusive standard into inclusive rules
+rules:
+	@$(PHPCS) --standard=$(STANDARD) -e | grep "^  " | sed -e 's/^  / <rule ref="/' -e 's/$$/"\/>/'
+
+fix:
+	$(PHPCBF) --standard=$(STANDARD) $(CODE)
+
+.PHONY: test
+test:
+	$(PHPUNIT) test
 
 clean:
 	rm -rf $(TARGETS) $(DIST_DIR) $(DIST_TARBALL) rpmbuild
@@ -54,7 +87,7 @@
 	rsync -a $(DIST_DIR)/conf $(DESTDIR)/$(GWEB_STATEDIR) && \
 	mkdir -p $(DESTDIR)/$(GDESTDIR) && \
 	rsync --exclude "conf" -a $(DIST_DIR)/* $(DESTDIR)/$(GDESTDIR) && \
-	chown -R $(APACHE_USER):$(APACHE_USER) $(DESTDIR)/$(GWEB_STATEDIR)
+	chown -R $(APACHE_USER):$(APACHE_GROUP) $(DESTDIR)/$(GWEB_STATEDIR)
 
 dist-gzip:	dist-dir
 	if [ -f $(DIST_TARBALL) ]; then \
