=== debian/control ===
Source: ganglia-web
Section: net
Priority: optional
Maintainer: Marcos Fouces <marcos@debian.org>
Uploaders: Stuart Teasdale <sdt@debian.org>
Homepage: http://www.ganglia.info/
Build-Depends: debhelper-compat (=13), rsync
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/debian/ganglia-web
Vcs-Git: https://salsa.debian.org/debian/ganglia-web.git

Package: ganglia-webfrontend
Architecture: all
Depends: ${misc:Depends}, apache2 | httpd-cgi, php | php-cgi | libapache2-mod-php, php-xml, rrdtool, libjs-jquery-mobile, libjs-jquery, libjs-jquery-ui, libjs-jquery-scrollto, libjs-jquery-cookie, libjs-rickshaw, libjs-d3, libjs-jquery-jstree, libjs-chosen, libjs-jstimezonedetect, libjs-moment, libjs-moment-timezone, libjs-select2.js, libjs-jquery-flot
Recommends: gmetad, php-gd
Description: cluster monitoring toolkit - web front-end
 Ganglia is a scalable, real-time cluster monitoring environment
 that collects cluster statistics in an open and well-defined XML
 format.
 .
 This package contains the PHP-based web front-end, which displays
 information gathered by 'gmetad'.
