=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_test:

override_dh_install:
	dh_install --sourcedir=debian/tmp

	$(MAKE) install APACHE_USER=www-data DESTDIR=$(CURDIR)/debian/ganglia-webfrontend GDESTDIR=/usr/share/ganglia-webfrontend  GWEB_STATEDIR=/var/lib/ganglia-web
	rm debian/ganglia-webfrontend/usr/share/ganglia-webfrontend/COPYING
	rm debian/ganglia-webfrontend/usr/share/ganglia-webfrontend/README
	rm debian/ganglia-webfrontend/usr/share/ganglia-webfrontend/dwoo/LICENSE
	cp -f debian/apache.conf \
		 debian/ganglia-webfrontend/etc/ganglia-webfrontend
	cp -f debian/conf_debian.php \
		 debian/ganglia-webfrontend/usr/share/ganglia-webfrontend/conf.php
	cp -r debian/js/* debian/ganglia-webfrontend/usr/share/ganglia-webfrontend/js
	cp -r debian/js/protovis.min.js debian/ganglia-webfrontend/usr/share/ganglia-webfrontend/js
	rm -rf debian/ganglia-webfrontend/usr/share/ganglia-webfrontend/debian
