=== debian/changelog ===
ganglia-web (3.7.6+debian-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Make requirement for root when building the package explicit.
    (Closes: #1089332)

 -- Niels Thykier <niels@thykier.net>  Wed, 01 Jan 2025 20:01:40 +0000

ganglia-web (3.7.6+debian-1) unstable; urgency=medium

  * Remove Stuart from uploaders as he moved to the Emeritus status.
    (Closes: #1011994).
  * New upstream version 3.7.6+debian (Closes: #1043363, #878066)
  * Remove patches as they were already applied upstream.
  * Bump to Standards-Version 4.6.2 (no changes required).
  * Fix /var/lib/ganglia-web permissions (Closes: #1006894)

 -- Marcos Fouces <marcos@debian.org>  Tue, 27 Feb 2024 18:34:53 +0100
