=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: net
 Priority: optional
 Maintainer: Marcos Fouces <marcos@debian.org>
-Uploaders: Stuart Teasdale <sdt@debian.org>
 Homepage: http://www.ganglia.info/
 Build-Depends: debhelper-compat (=13), rsync
-Standards-Version: 4.6.0
+Rules-Requires-Root: binary-targets
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/ganglia-web
 Vcs-Git: https://salsa.debian.org/debian/ganglia-web.git
