=== debian/watch ===
version=4
opts="dversionmangle=s/\+debian\d*$//,repacksuffix=+debian,repack,compression=xz" https://github.com/ganglia/ganglia-web/tags .*/v?(\d\S*)\.tar\.gz
